compatibility with the original sources.list repository list & checking for updated PPA's

Asked by karlitos on 2011-01-14

Hello

I would like to ask if the Y-PPA Manager is compatible with the original sources.list or only with the recent sources.list.d method. I am still using the sources.list to save my repos. because I find this way more transparent.

I would like to have a function, which checks for updated PPA's. Everytime I install a new version of ubuntu I copy my sources.list and the keys and replace all version identifiers with the new version (e.g. karmic main -> lucid main). The problem is, that at the release-time of a new Ubuntu version lot of repositories still do not have branch/packages for the newest version of Ubuntu. So after I do - apt-get update - I get : repository not found error. So this tells me which repositorys was not updated yet and I set their identifiers to the further original version. But there is no option to do it autimaticaly - to check which PPA's are present for the recent Ubuntu version AND to change them.

Sorry for my bad english I hope you would understand.

Greetings K

Question information

Language:
English Edit question
Status:
Solved
For:
Y PPA Manager Edit question
Assignee:
No assignee Edit question
Solved by:
Alin Andrei
Solved:
2011-01-15
Last query:
2011-01-15
Last reply:
2011-01-15
Best Alin Andrei (nilarimogard) said : #1

It doesn't check sources.list at all. Adding all the PPAs in sources.list it's not a good idea because when you add a PPA using any other method (Ubuntu Tweak, Y PPA Manager, "sudo add-apt-repository" or Software Sources) you can get duplicate sources.

About checking if the old repositories have been update to the latest Ubuntu version, there is a tool for that: http://ubuntuforums.org/showthread.php?t=1594757

karlitos (karlitos) said : #2

Thanks Alin Andrei, that solved my question.

karlitos (karlitos) said : #3

Many thanks for the pointingout the tool, you really saved my day! I was searching for the solutions for a long time, regrettably I did not found this one.

Alin Andrei (nilarimogard) said : #4

You're welcome! I didn't write about it yet on WebUpd8 because I'm waiting for the right time... when people will start upgrading to Natty.